from flask import Flask, jsonify, request
import db


app = Flask(__name__)
app.config["DEBUG"] = True
app.config["JSON_AS_ASCII"] = False


@app.route('/', methods=["GET"])
def index():
    return jsonify(db.get_all_users())


@app.route('/set_session_user', methods=["POST"])
def set_session_user():
    return jsonify(db.set_session_user(request.json))


@app.route('/update_session_user', methods=["POST"])
def update_session_user():
    db.update_session_user(request.json)
    return "Success"


app.run()
